package game

type ShapeType byte

const (
	SHAPE_O ShapeType = iota
	SHAPE_L
	SHAPE_J
	SHAPE_T
	SHAPE_Z
	SHAPE_S
	SHAPE_I
)

func (s ShapeType) GetBlock() Block {
	switch s {
	case SHAPE_O:
		return BLOCK_GREEN
	case SHAPE_L:
		return BLOCK_RED
	case SHAPE_J:
		return BLOCK_BLUE
	case SHAPE_T:
		return BLOCK_MAGENTA
	case SHAPE_Z:
		return BLOCK_YELLOW
	case SHAPE_S:
		return BLOCK_ORANGE
	case SHAPE_I:
		return BLOCK_TEAL
	default:
		return BLOCK_EMPTY
	}
}
